### Method

# Gimp Image get_thumbnail_data

#### Declaration [src]

    guchar*
    gimp_image_get_thumbnail_data (
      GimpImage* image,
      gint* width,
      gint* height,
      gint* bpp
    )

#### Description [src]

Get a thumbnail of an image.

This function gets data from which a thumbnail of an image preview can be created. Maximum x or y dimension is 1024 pixels. The pixels are returned in RGB[A] or GRAY[A] format. The bpp return value gives the number of bytes per pixel in the image.

#### Parameters

`width`

  Type: `gint*`

  The requested thumbnail width.

  The argument will be modified by the function.

`height`

  Type: `gint*`

  The requested thumbnail height.

  The argument will be modified by the function.

`bpp`

  Type: `gint*`

  The previews bpp.

  The argument will be set by the function.

#### Return value

Type: An array of `guchar`

The thumbnail data.

The caller of the method takes ownership of the data, and is responsible for freeing it.